/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EngineDashboardModel.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.rules.enginedashboard.model.domain
{
import mx.utils.UIDUtil;

import org.ow2.jasmine.monitoring.eos.rules.common.vo.EngineStatusVO;
import org.ow2.jasmine.monitoring.eos.rules.enginedashboard.vo.*;

/**
* Cairngorm Model for the rule engine dashboard
* 
* @author Julien Nicoulaud
*/
[Bindable]
public class EngineDashboardModel
{
	
    // =========================================================================
    // Variables
    // =========================================================================
    
    /**
    * The unique ID of this component
    * 
    * @internal
    *   Used to prevent a Cairngorm issue: when a command event is dispatched,
    * every controller that registered this event type receives it, even if
    * located in another module. To prevent this from happening and triggering
    * multiple severe unexpected concurrence bugs, each event dispatched is
    * postfixed with this unique ID.
    */
    public var componentID:String = UIDUtil.createUID();
        
    /**
    * Default refresh time
    */
    private const DEFAULT_REFRESH_INTERVAL:int = 4000;
    
    /**
    * The name of the service used by the component
    */
    public var serviceName:String;
            
	/**
	* Refresh interval in milliseconds
	*/
	public var refreshInterval:int = DEFAULT_REFRESH_INTERVAL;

	/**
	* The managed rule engine instance name
	*/
	public var ruleEngineName:String;

	/**
	* Rule engine status object
	*/
	public var engineStatus:EngineStatusVO;
	
}
}
